Error
A valid request URL is required to generate request examples{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canonicalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"itemTypeId": "<string>",
"number": "<string>",
"version": 2,
"status": "DRAFT",
"current": true,
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modifiedAt": "2023-11-07T05:31:56Z",
"modifiedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attributes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attributeDefinitionId": "<string>",
"valueType": "STRING",
"version": 2,
"modifiedAt": "2023-11-07T05:31:56Z",
"modifiedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>"
}
],
"revision": "<string>"
}{
"errorCode": "<string>",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Items
Get specific item version
Retrieves a specific version of an item with its versioned attribute values.
GET
/
items
/
{canonicalId}
/
versions
/
{version}
Error
A valid request URL is required to generate request examples{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canonicalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"itemTypeId": "<string>",
"number": "<string>",
"version": 2,
"status": "DRAFT",
"current": true,
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modifiedAt": "2023-11-07T05:31:56Z",
"modifiedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attributes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attributeDefinitionId": "<string>",
"valueType": "STRING",
"version": 2,
"modifiedAt": "2023-11-07T05:31:56Z",
"modifiedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>"
}
],
"revision": "<string>"
}{
"errorCode": "<string>",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The canonical ID that identifies the item across all versions
The specific version number to retrieve
Required range:
x >= 1Response
Item version details
A specific version of an item with its versioned attribute values
Unique ID of this specific version
Stable ID across all versions
Working draft version number
Required range:
x >= 1Available options:
DRAFT, REVIEW, RELEASED, OBSOLETE Whether this is the current (latest) version
Show child attributes
Show child attributes
Released change level (Rev A, Rev B, etc.)